Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
NameEntry Struct Reference

## Data Fields
UChar * | name
size_t | name_len
int | back_num
int | back_alloc
int | back_ref1
int * | back_refs

## Detailed Description

Definition at line 414 of file regparse.c.

## Field Documentation

int NameEntry::back_alloc

Definition at line 418 of file regparse.c.

Referenced by name_add().

int NameEntry::back_num

Definition at line 417 of file regparse.c.

Referenced by i_names(), i_renumber_name(), name_add(), and onig_name_to_group_numbers().

int NameEntry::back_ref1

Definition at line 419 of file regparse.c.

Referenced by i_names(), i_renumber_name(), name_add(), and onig_name_to_group_numbers().

int* NameEntry::back_refs

Definition at line 420 of file regparse.c.

Referenced by i_free_name_entry(), i_names(), i_renumber_name(), name_add(), and onig_name_to_group_numbers().

UChar* NameEntry::name

Definition at line 415 of file regparse.c.

Referenced by i_free_name_entry(), i_names(), and name_add().

size_t NameEntry::name_len

Definition at line 416 of file regparse.c.

Referenced by i_names().

The documentation for this struct was generated from the following file:

- regparse.c